NEO Skills
Update a NEO skill
PATCH /skill/{id}
PATCH /skill/{id}
Updates name, description, content and/or aiAgentId. slug is immutable and ignored. Re-validated via an ephemeral agent; an update snapshot is appended to history.
Path parameters
idintegerpathrequiredSkill ID.
Request body
namestringbodyNo description.
descriptionstringbodyNo description.
contentstringbodyNo description.
aiAgentIdintegerbodyNo description.
Request Example
{
"name": "string",
"description": "string",
"content": "string",
"aiAgentId": 1
}Responses
200 — Updated
Response Example
{
"skill": {
"id": 1,
"slug": "string",
"aiAgentId": 1,
"name": "string",
"description": "string",
"content": "string",
"createdAt": "2026-01-01T12:00:00Z",
"modifiedAt": "2026-01-01T12:00:00Z"
},
"success": true
}404 — Skill not found
422 — Invalid skill (validation violations returned)